Issue #7737 has been updated by paul0 (Paulo Geyer).


nobu (Nobuyoshi Nakada) wrote:
> Seems RPATHFLAG unnecessary for extconf.rb.
> 
> Attaching newer patch.

tried again with the latest patch, and updated my local code with the remote repository, now it can't find "complex.o"

here is the make output

linking shared-object io/wait.so
installing default wait libraries
make[2]: Leaving directory `/home/code/ruby/ext/io/wait'
make[2]: Entering directory `/home/code/ruby/ext/json'
installing default libraries
make[2]: Leaving directory `/home/code/ruby/ext/json'
make[2]: Entering directory `/home/code/ruby/ext/json/generator'
linking shared-object json/ext/generator.so
installing default generator libraries
make[2]: Leaving directory `/home/code/ruby/ext/json/generator'
make[2]: Entering directory `/home/code/ruby/ext/json/parser'
linking shared-object json/ext/parser.so
installing default parser libraries
make[2]: Leaving directory `/home/code/ruby/ext/json/parser'
make[2]: Entering directory `/home/code/ruby/ext/mathn/complex'
linking shared-object mathn/complex.so
ld: cannot find complex.o: No such file or directory
make[2]: *** [../../../.ext/i586-haiku/mathn/complex.so] Error 1
make[2]: Leaving directory `/home/code/ruby/ext/mathn/complex'
make[1]: *** [ext/mathn/complex/all] Error 2
make[1]: Leaving directory `/home/code/ruby'
make: *** [build-ext] Error 2

----------------------------------------
Bug #7737: problem with generated rbconfig.rb for Haiku
https://bugs.ruby-lang.org/issues/7737#change-35786

Author: paul0 (Paulo Geyer)
Status: Feedback
Priority: Normal
Assignee: nobu (Nobuyoshi Nakada)
Category: build
Target version: 2.0.0
ruby -v: ruby 2.0.0dev (2013-01-23 trunk 38898) [i586-haiku]


After compiling ruby 2.0.0 for Haiku, I couldn't install gems with native extensions, found something wrong with rbconfig.rb

  CONFIG["RPATHFLAG"] = " -Wl,-R%1$-s"

changing that to:
  CONFIG["RPATHFLAG"] = ""

made possible to rubygems create native extensions


-- 
http://bugs.ruby-lang.org/